using System;
using Gtk;
using Glade;

namespace Test {
        
        public class GladeApp
        {
                [Widget] Gtk.Window window1;
                [Widget] Gtk.Label label1;

                public static void Main (string[] args)
                {
                        new GladeApp (args);
                }

                public GladeApp (string[] args) 
                {
                        Application.Init ();

                        Glade.XML gxml = new Glade.XML (null, "TestGlade.glade", "window1", null);
                        gxml.Autoconnect (this);

                        Init ();
                        window1.Show();
                        Application.Run ();
                }

                public void Init () 
                {
                        label1.Text = "Some Text to make this window full";
                }

                /* Connect the Signals defined in Glade */
                public void OnWindowDeleteEvent (object o, DeleteEventArgs args) 
                {
                        Application.Quit ();
                        args.RetVal = true;
                }
        }
}

// vim: ts=8 sw=8
