using Gtk;
using System;

public class MainClass
{
	public static void Main(string[] args)
	{
		Application.Init ();
		
		new GuiTest ("Hello World");
		
		Application.Run ();
	}
}

public class GuiTest : Window
{
	public GuiTest(string title) : base(title)
	{		
		DeleteEvent += OnWindowDelete;
		
		VBox v = new VBox ();
		v.BorderWidth = 6;
		
		Label l = new Label ("A Simple Test");
		v.Add (l);

		Button a = new Button ("a button");
		a.Clicked += onClick;
		v.Add (a);
		
		Add (v);
		ShowAll ();
	}
	
	private void onClick(object sender, EventArgs args)
	{
		Console.WriteLine ("Clicked a Button");
	}
	
	private static void OnWindowDelete (System.Object o, DeleteEventArgs args)
	{
		Application.Quit ();
		args.RetVal = true;
	}
}
